// JavaScript Document
$(document).ready(function(){
	$("#toolbutton a").click(function(){
				//选择查询工具
		$("#toolbutton li").css({"background":"url(../images/buttonbg.png) no-repeat"});							  
			$(this).parent("li").css({"background":"url(../images/buttonbg2.png) no-repeat"});
			$(".buttons").hide();
			$("#kw").hide();
			$("#serkw").show();
			var i=$("#toolbutton a").index(this);
			switch(i){
				case 0:{
				$("#zonghe").show();
				$("#rs").html(" ");
				break;
				}
				case 1:{
				$("#shoulu").show();
				$("#rs").html(" ");
				break;
				}
					case 2:{
				$("#paiming").show();
				$("#kw").show();
				$("#rs").html(" ");
				break;
				}
				case 3:{
				$("#alexa").show();
				$("#rs").html(" ");
				break;
				}
				case 4:{
				$("#pr").show();
				$("#rs").html(" ");
				break;
				}
				case 5:{
				$("#flink").show();
				$("#rs").html(" ");
				break;
				}
				case 8:{
				//$("#qqun").show();
				$("#kw").hide();
				$("#serkw").hide();
				window.open("http://qun.qq.com","_blank");
				break;
				}
				case 6:{
				
				$("#webstime").show();
				$("#rs").html(" ");
				break;
				}
				case 7:{
				$("#whois").show();
				$("#rs").html(" ");
				break;
				}
				}
									  });
	//执行查询操作
	//综合查询
	$("#zonghe").click(function(){
			if(check()==false)
			return false;
			var url=$("#serkw").val();
			var html="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;\"><tr><td style=\"background:#d4e6f7;\">网站基本信息</td></tr><tr><td id=\"toptitle\"><img src=\"../images/loading.gif\"/></td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;border-top:none;\"><tr><td style=\"width:30%;color:#0066cc;\">SEO信息</td><td style=\"width:70%;\" id=\"seo\"><img id=\"loadimg\" src=\"../images/loading.gif\"/></td></tr><tr><td style=\"color:#0066cc;\">域名IP</td><td id=\"ip\"><img src=\"../images/loading.gif\"/></td></tr><tr><td style=\"color:#0066cc;\">域名年龄</td><td id=\"age\"><img src=\"../images/loading.gif\"/></td></tr><tr><td style=\"color:#0066cc;\">域名备案</td><td id=\"beian\"><img src=\"../images/loading.gif\"/></td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;margin-top:10px;display:inline;\"><tr><td style=\"background:#d4e6f7;\">百度相关</td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;border-top:none;\"><tr><td>百度快照</td><td>今日收录</td><td>最近一周</td><td>最近一月</td></tr><tr><td id=\"kuaizhao\"><img src=\"../images/loading.gif\"/></td><td id=\"day\"><img src=\"../images/loading.gif\"/></td><td id=\"week\"><img src=\"../images/loading.gif\"/></td><td id=\"month\"><img src=\"../images/loading.gif\"/></td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;margin-top:10px;display:inline;\"><tr><td style=\"background:#d4e6f7;\">网站&nbsp;<a target=\"_blank\" href=\""+$("#serkw").val()+"\">"+$("#serkw").val()+"</a>&nbsp;的收录-反链结果</td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;border-top:none;\"><tr><td style=\"color:#0066cc;\">搜索引擎</td><td>百度</td><td>谷歌</td><td>SOSO</td><td>搜狗</td><td>360</td><td>有道</td></tr><tr><td style=\"color:#0066cc;\">收录</td><td id=\"baidu\"><img src=\"../images/loading.gif\"/></td><td id=\"google\"><a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com/search?q=site%3A"+url.replace("http://","")+"\">查询</a></td><td id=\"soso\"><img src=\"../images/loading.gif\"/></td><td id=\"sogou\"><img src=\"../images/loading.gif\"/></td><td id=\"360\"><img src=\"../images/loading.gif\"/></td><td id=\"youdao\"><img src=\"../images/loading.gif\"/></td></tr><tr><td style=\"color:#0066cc;\">反链</td><td id=\"baiduf\"><img src=\"../images/loading.gif\"/></td><td id=\"googlef\"><a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com/search?q=link%3A"+url.replace("http://","")+"\">查询</a></td><td id=\"sosof\"><img src=\"../images/loading.gif\"/></td><td id=\"sogouf\"><img src=\"../images/loading.gif\"/></td><td id=\"360f\"><img src=\"../images/loading.gif\"/></td><td id=\"youdaof\"><img src=\"../images/loading.gif\"/></td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;margin-top:10px;display:inline;\"><tr><td style=\"width:15%;background:#d4e6f7;\">标签</td><td style=\"width:10%;background:#d4e6f7;\">内容长度</td><td style=\"width:60%;background:#d4e6f7;\">内容</td><td style=\"width:15%;background:#d4e6f7;\">优化建议</td></tr><tr><td style=\"color:#0066cc;\">标题（Title）</td><td id=\"titlelen\"><img src=\"../images/loading.gif\"/></td><td id=\"title\"><img src=\"../images/loading.gif\"/></td><td>一般不超过80个字符</td></tr></tr><tr><td style=\"color:#0066cc;\">关键词<br/>（Keywords）</td><td id=\"kwlen\"><img src=\"../images/loading.gif\"/></td><td id=\"webkw\"><img src=\"../images/loading.gif\"/></td><td>一般不超过100个字符</td></tr></tr><tr><td style=\"color:#0066cc;\">描述<br/>（Description）</td><td id=\"dslen\"><img src=\"../images/loading.gif\"/></td><td id=\"ds\"><img src=\"../images/loading.gif\"/></td><td>一般不超过200个字符</td></tr></table>";
			$("#rs").html(html);
			
			//网站标题、关键字、描述
			$.post("webcontent.php",{url:url},function(data){
	            var content=data.split("|");
				$("#titlelen").html("<font color=\"red\">"+content[0].length+"</font>&nbsp;个字符");
				$("#title").html(content[0]);
				$("#toptitle").html(content[0]);
				$("#kwlen").html("<font color=\"red\">"+content[1].length+"</font>&nbsp;个字符");
				$("#webkw").html(content[1]);
				$("#dslen").html("<font color=\"red\">"+content[2].length+"</font>&nbsp;个字符");
				$("#ds").html(content[2]);
				});
			//域名IP、年龄、备案信息
			$.post("yuminginfo.php",{url:url},function(data){
					var data=data.split("|");
					if(data.length>1){
					$("#ip").html(data[0]);
					$("#age").html(data[1]);
					$("#beian").html(data[2]);
					}else{
					$("#ip").html("查询失败");
					$("#age").html("查询失败");
					$("#beian").html("查询失败");
						}
													   });
			//SEO信息、alexa、pr、flink、响应时间
			$.post("../global/webstime.php",{url:url},function(data){
								$("#loadimg").hide();
								data=data+"毫秒";
								if(data.length>40)
								data="超时";
						$("#seo").html($("#seo").html()+"&nbsp;&nbsp;&nbsp;响应时间&nbsp;<font color=\"red\">"+data+"</font>");									
															   });
			$.post("../global/pr.php",{url:url},function(data){
														 $("#loadimg").hide();
								if(data.length>40)
								data="";
								else{
									if(data==0)
									data="<img src=\"../images/pr0.png\"/>";
									if(data==1)
									data="<img src=\"../images/pr1.png\"/>";
									if(data==2)
									data="<img src=\"../images/pr2.png\"/>";
									if(data==3)
									data="<img src=\"../images/pr3.png\"/>";
									if(data==4)
									data="<img src=\"../images/pr4.png\"/>";
									if(data==5)
									data="<img src=\"../images/pr5.png\"/>";
									if(data==6)
									data="<img src=\"../images/pr6.png\"/>";
									if(data==7)
									data="<img src=\"../images/pr7.png\"/>";
									if(data==8)
									data="<img src=\"../images/pr8.png\"/>";
									if(data==9)
									data="<img src=\"../images/pr9.png\"/>";
									}
				$("#seo").html($("#seo").html()+"&nbsp;&nbsp;&nbsp;"+data);			
														});
			$.post("../global/shouyewailian.php",{url:url},function(data){
																	$("#loadimg").hide();
																	if(data.length>40)
																	date="查询失败";
						$("#seo").html($("#seo").html()+"&nbsp;&nbsp;&nbsp;首页外链数&nbsp;<font color=\"red\">"+data+"</font>");
																	});
		//百度快照
		$.post("../global/kuaizhao.php",{url:url,mod:1},function(data){
					if(data.length>40){
						data="查询失败";
						}else{
					$("#kuaizhao").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?wd="+url+"\">"+data+"</a>");
							}												 
																	 });
		//百度收录一日，一周、一月
		$.post("../global/baiduday.php",{url:url},function(data){
									if(data.length>40)
									data="查询失败";
									else
					$("#day").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?lm=1&wd=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														   });
		$.post("../global/baiduday.php",{url:url,lm:7},function(data){
									if(data.length>40)
									data="查询失败";
									else
					$("#week").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?lm=7&wd=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														   });
		$.post("../global/baiduday.php",{url:url,lm:30},function(data){
									if(data.length>40)
									data="查询失败";
									else
					$("#month").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?lm=30&wd=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														   });
		//百度收录-反链
		$.post("../global/baidu.php",{url:url},function(data){
							if(data.length>40)
							data="查询失败";
							else
							$("#baidu").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?wd=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														});
		
		$.post("../global/outlink.php",{url:url},function(data){
				if(data.length>40)
							data="查询失败";
							else
							$("#baiduf").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?wd=domain%3A"+url.replace("http://","")+"\">"+data+"</a>");										  
														  });
		//谷歌收录-反链
		/*$.post("../global/google.php",{url:url},function(data){
							if(data.length>40)
							data="查询失败";
							else
							$("#google").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com/search?q=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														});
		
		$.post("../global/googleoutlink.php",{url:url},function(data){
				if(data.length>40)
							data="查询失败";
							else
							$("#googlef").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com.hk/search?q=link%3A"+url.replace("http://","")+"\">"+data+"</a>");										  
														  });
		*/
		//soso
		$.post("soso.php",{url:url},function(data){
						   if(data.length<40){
							data=data.split("|");
								$("#soso").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.soso.com/q?w=site%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#sosof").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.soso.com/q?w=link%3A"+url.replace("http://","")+"\">"+data[1]+"</a>");
								}
							else{
								$("#soso").html("查询失败");
								$("#sosof").html("查询失败");
								}
							
														});
		//sogou
		$.post("sogou.php",{url:url},function(data){
							if(data.length<40){
							data=data.split("|");
								$("#sogou").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.sogou.com/web?query=domain%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#sogouf").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.sogou.com/web?query=domain%3A"+url.replace("http://","")+"\">"+data[1]+"</a>");
								}
							else{
								$("#sogou").html("查询失败");
								$("#sogouf").html("查询失败");
								}
							
														});
		//s360
		$.post("s360.php",{url:url},function(data){
											 	if(data.length<40){
							data=data.split("|");
								$("#360").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://so.360.cn/s?q=site%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#360f").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://so.360.cn/s?q=%22"+url.replace("http://","")+"%22\">"+data[1]+"</a>");
								}
							else{
								$("#360").html("查询失败");
								$("#360f").html("查询失败");
								}
							
														});
		//有道
		$.post("youdao.php",{url:url},function(data){
							 if(data.length<40){
							data=data.split("|");
								$("#youdao").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=site%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#youdaof").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=link%3A"+url.replace("http://","")+"\">"+data[1]+"</a>");
								}
							else{
								$("#youdao").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=site%3A"+url.replace("http://","")+"\">查询</a>");
								$("#youdaof").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=link%3A"+url.replace("http://","")+"\">查询</a>");
								}
							
														});
		
		
		//综合查询结束
								});
	//收录-反链查询
	$("#shoulu").click(function(){
			if(check()==false)
			return false;
			var url=$("#serkw").val();
		var html ="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;margin-top:10px;display:inline;\"><tr><td style=\"background:#d4e6f7;\">网站&nbsp;<a target=\"_blank\" href=\""+$("#serkw").val()+"\">"+$("#serkw").val()+"</a>&nbsp;的收录-反链结果</td></tr></table>";
			html +="<table cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%;border-top:none;\"><tr><td style=\"color:#0066cc;\">搜索引擎</td><td>百度</td><td>谷歌</td><td>SOSO</td><td>搜狗</td><td>360</td><td>有道</td></tr><tr><td style=\"color:#0066cc;\">收录</td><td id=\"baidu\"><img src=\"../images/loading.gif\"/></td><td id=\"google\"><a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com/search?q=site%3A"+url.replace("http://","")+"\">查询</a></td><td id=\"soso\"><img src=\"../images/loading.gif\"/></td><td id=\"sogou\"><img src=\"../images/loading.gif\"/></td><td id=\"360\"><img src=\"../images/loading.gif\"/></td><td id=\"youdao\"><img src=\"../images/loading.gif\"/></td></tr><tr><td style=\"color:#0066cc;\">反链</td><td id=\"baiduf\"><img src=\"../images/loading.gif\"/></td><td id=\"googlef\"><a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com/search?q=link%3A"+url.replace("http://","")+"\">查询</a></td><td id=\"sosof\"><img src=\"../images/loading.gif\"/></td><td id=\"sogouf\"><img src=\"../images/loading.gif\"/></td><td id=\"360f\"><img src=\"../images/loading.gif\"/></td><td id=\"youdaof\"><img src=\"../images/loading.gif\"/></td></tr></table>";
		 	$("#rs").html(html);
			//百度收录-反链
		$.post("../global/baidu.php",{url:url},function(data){
							if(data.length>40)
							data="查询失败";
							else
							$("#baidu").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?wd=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														});
		
		$.post("../global/outlink.php",{url:url},function(data){
				if(data.length>40)
							data="查询失败";
							else
							$("#baiduf").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.baidu.com/s?wd=domain%3A"+url.replace("http://","")+"\">"+data+"</a>");										  
														  });
		//谷歌收录-反链
		/*$.post("../global/google.php",{url:url},function(data){
							if(data.length>40)
							data="查询失败";
							else
							$("#google").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com/search?q=site%3A"+url.replace("http://","")+"\">"+data+"</a>");
														});
		
		$.post("../global/googleoutlink.php",{url:url},function(data){
				if(data.length>40)
							data="查询失败";
							else
							$("#googlef").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.google.com.hk/search?q=link%3A"+url.replace("http://","")+"\">"+data+"</a>");										  
														  });
		*/
		//soso
		$.post("soso.php",{url:url},function(data){
						   if(data.length<40){
							data=data.split("|");
								$("#soso").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.soso.com/q?w=site%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#sosof").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.soso.com/q?w=link%3A"+url.replace("http://","")+"\">"+data[1]+"</a>");
								}
							else{
								$("#soso").html("查询失败");
								$("#sosof").html("查询失败");
								}
							
														});
		//sogou
		$.post("sogou.php",{url:url},function(data){
							if(data.length<40){
							data=data.split("|");
								$("#sogou").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.sogou.com/web?query=domain%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#sogouf").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.sogou.com/web?query=domain%3A"+url.replace("http://","")+"\">"+data[1]+"</a>");
								}
							else{
								$("#sogou").html("查询失败");
								$("#sogouf").html("查询失败");
								}
							
														});
		//s360
		$.post("s360.php",{url:url},function(data){
											 	if(data.length<40){
							data=data.split("|");
								$("#360").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://so.360.cn/s?q=site%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#360f").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://so.360.cn/s?q=%22"+url.replace("http://","")+"%22\">"+data[1]+"</a>");
								}
							else{
								$("#360").html("查询失败");
								$("#360f").html("查询失败");
								}
							
														});
		//有道
		$.post("youdao.php",{url:url},function(data){
							 if(data.length<40){
							data=data.split("|");
								$("#youdao").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=site%3A"+url.replace("http://","")+"\">"+data[0]+"</a>");
								$("#youdaof").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=link%3A"+url.replace("http://","")+"\">"+data[1]+"</a>");
								}
							else{
								$("#youdao").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=site%3A"+url.replace("http://","")+"\">查询</a>");
								$("#youdaof").html("<a style=\"color:green;\" target=\"_blank\" href=\"http://www.youdao.com/search?q=link%3A"+url.replace("http://","")+"\">查询</a>");
								}
							
														});
			
								});
			//收录反链结束
	//paiming
	$("#paiming").click(function(){
			if(check()==false)
			return false;
			if(checkkw()==false)
			return false;
			$("#rs").html("<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\"><img src=\"../images/loading.gif\"/>查询中，请稍候...</td></tr></table>");
			var kw=$("#kw").val();
			var url=$("#serkw").val();
			$.post("paiming.php",{url:url,kw:kw},function(data){
				$("#rs").html(data);										  
														  });
			
								 });
	//排名结束
	
	//alexa排名
	$("#alexa").click(function(){
			if(check()==false)
			return false;
			if(checkkw()==false)
			return false;
			var url=$("#serkw").val();	
			$("#rs").html("<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\"><img src=\"../images/loading.gif\"/>查询中，请稍候...</td></tr></table>");
			$.post("../global/alexa.php",{url:url},function(data){
				var vurl="http://"+url.split("http://");
			var html="<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\">";
			html +="网站&nbsp;<font color=\"green\"><a target=\"_blank\" href='"+vurl+"'>"+url+"</a></font>的Alexa全球排名为&nbsp;";
			html +="<font color=\"green\"><a target=\"_blank\" href='http://www.alexa.com/search?q="+url+"'>"+data+"</a>";
			html +="</td></tr></table>";
			$("#rs").html(html);											
															});
							   });
						   //alexa结束
						   
		//pr
	$("#pr").click(function(){
			if(check()==false)
			return false;
			if(checkkw()==false)
			return false;
			var url=$("#serkw").val();	
			$("#rs").html("<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\"><img src=\"../images/loading.gif\"/>查询中，请稍候...</td></tr></table>");
			$.post("../global/pr.php",{url:url},function(data){
									if(data==0)
									data="<img src=\"../images/pr0.png\"/>";
									if(data==1)
									data="<img src=\"../images/pr1.png\"/>";
									if(data==2)
									data="<img src=\"../images/pr2.png\"/>";
									if(data==3)
									data="<img src=\"../images/pr3.png\"/>";
									if(data==4)
									data="<img src=\"../images/pr4.png\"/>";
									if(data==5)
									data="<img src=\"../images/pr5.png\"/>";
									if(data==6)
									data="<img src=\"../images/pr6.png\"/>";
									if(data==7)
									data="<img src=\"../images/pr7.png\"/>";
									if(data==8)
									data="<img src=\"../images/pr8.png\"/>";
									if(data==9)
									data="<img src=\"../images/pr9.png\"/>";
									
				var vurl="http://"+url.split("http://");
			var html="<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;text-align:right;\">";
			html +="网站&nbsp;<font color=\"green\"><a target=\"_blank\" href='"+vurl+"'>"+url+"</a></font>的PR值为&nbsp;</td><td style=\"text-align:left;border:none;\">";
			html +=data;
			html +="</td></tr></table>";
			$("#rs").html(html);											
															});
							   });
						   //pr结束			   
						   
			//友情链接
			$("#flink").click(function(){
					if(check()==false)
			return false;
			if(checkkw()==false)
			return false;
			$("#rs").html("<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\"><img src=\"../images/loading.gif\"/>查询中，请稍候...</td></tr></table>");
			var url=$("#serkw").val();					   
				$.post("../global/flink.php",{url:url},function(data){				
				var alldata=data.split("|");
				var html="<table cellspacing=\"0\" cellpadding=\"0\" style=\"border-left:1px solid #ccc;\"><tr style=\"background:#d3edf9;\"><td style=\"width:20%;border-left:none;\">友链名称</td><td style=\"width:25%;\">友链地址</td><td>百度收录</td><td>百度快照</td><td>PR值</td><td>Alexa</td><td>友链状态</td></tr>"+alldata[0]+"</table>";
				$("#rs").html(html);
				for(var i=0;i<=alldata[1];i++){
					var surl=$("#url"+i).html();
					var n=i;
				  $.post("../global/baidu.php?b=n",{url:surl,n:n},function(baidu){
							var baidu=baidu.split("|");
							var s=baidu[1];
							if(baidu[0].length>40)
							$("#baidu"+s).html("提取失败");
							else{
								if(baidu[0]>99)
						$("#baidu"+s).html(baidu[0]);
						else
							$("#baidu"+s).html("<font color=\"red\">"+baidu[0]+"</font>");
						}
																   });
				 /* $.post("../global/google.php?g=n",{url:surl,n:n},function(google){
							var google=google.split("|");
							var s=google[1];
							if(google[0].length>40)
							$("#google"+s).html("提取失败");
							else
						    $("#google"+s).html(google[0]);
						
																   });
				 */
				  $.post("../global/alexa.php?a=n",{url:surl,n:n},function(alexa){
							var alexa=alexa.split("|");
							var s=alexa[1];
							if(alexa[0].length>40)
							$("#alexa"+s).html("提取失败");
							else
						$("#alexa"+s).html(alexa[0]);
							
																   });
				  $.post("../global/pr.php?p=n",{url:surl,n:n},function(pr){
							var pr=pr.split("|");
							var s=pr[1];
							if(pr[0].length>40)
							$("#pr"+s).html("提取失败");
							else
						$("#pr"+s).html(pr[0]);
						
																   });
				  $.post("../global/fstate.php?f=n",{url:surl,n:n},function(state){
							var state=state.split("|");
							var s=state[1];
							if(state[0].length>40)
							$("#state"+s).html("提取失败");
							else{
								if(state[0]=="正常")
						$("#state"+s).html(state[0]);
						else
							$("#state"+s).html("<font color=\"red\">"+state[0]+"</font>");
							}
																   });
				   $.post("../global/kuaizhao.php?f=n",{url:surl,n:n},function(kuaizhao){
							var kuaizhao=kuaizhao.split("|");
							var s=kuaizhao[1];
							if(kuaizhao[0].length>40)
							$("#kuaizhao"+s).html("提取失败");
							else{
								if(kuaizhao[0]=="当天快照"||kuaizhao[0]=="1天前快照"||kuaizhao[0]=="2天前快照"||kuaizhao[0]=="3天前快照")
						$("#kuaizhao"+s).html(kuaizhao[0]);
							else
							$("#kuaizhao"+s).html("<font color=\"red\">"+kuaizhao[0]+"</font>");
							}
						
																   });
					}
													});				   
									   });
			//友链结束			   
						   
	//网站测速
	$("#webstime").click(function(){
			if(check()==false)
			return false;
			if(checkkw()==false)
			return false;
			var url=$("#serkw").val();	
			$("#rs").html("<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\"><img src=\"../images/loading.gif\"/>查询中，请稍候...</td></tr></table>");
			$.post("../global/webstime.php",{url:url},function(data){
				var vurl="http://"+url.replace("http://","");
			var html="<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\">";
			html +="网站&nbsp;<font color=\"green\"><a target=\"_blank\" href='"+vurl+"'>"+url+"</a></font>的响应时间为&nbsp;";
			html +="<font color=\"green\">"+data+"</font>毫秒";
			html +="</td></tr><tr><td style=\"border:none;\">服务器响应时间为本地发送请求到服务器返回响应的时间</td></tr></table>";
			$("#rs").html(html);											
															});
							   });
						   //网站测速结束					   
						   
		//whois
		$("#whois").click(function(){
			if(check()==false)
			return false;
			if(checkkw()==false)
			return false;
			var url=$("#serkw").val();	
			$("#rs").html("<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:center;width:100%;\"><tr><td style=\"border:none;\"><img src=\"../images/loading.gif\"/>查询中，请稍候...</td></tr></table>");
			$.post("whois.php",{url:url},function(data){
				//var vurl="http://"+url.split("http://");
			var html="<table cellpadding=\"0\" cellspacing=\"0\" style=\"border:none;text-align:left;width:60%;displai:inline;margin-left:20%;\"><tr><td style=\"border:none;text-align:left;\">";
			    html+=data;
				html +="</td></tr></table>";
			$("#rs").html(html);											
															});
							   });
						   
				//whois结束		   
			
						   });


//text文字处理
function textclick(obj){
	if(obj.value=="输入网站地址"||obj.value=="输入关键字")
	obj.value="";
	}
function textblur(obj,mod){
	if(obj.value==""&&mod==0)
	obj.value="输入网站地址";
	if(obj.value==""&&mod==1)
	obj.value="输入关键字";
	}
//查询提交检查
function check(){
	var url=document.getElementById("serkw").value;
	if(url==""||url=="输入网站地址"){
		alert("请输入要查询的网站地址");
		return false;
		}
		else{
			var a=url.split(".com");
			var b=url.split(".cn");
			var c=url.split(".org");
			var d=url.split(".edu");
			var e=url.split(".net");
			if(a.length>1||b.length>1||c.length>1||d.length>1||e.length>1)
			return true;
			else{
				alert("网站地址格式不正确");
				return false;
				}
			}
	}
	function checkkw(){
		var kw=document.getElementById("kw").value;
		if(kw==""){
			alert("请输入关键词");
			return false;
			}
		
		}